/**
 * Copyright (C) 2011 Pierre-Yves Ricau (py.ricau at gmail.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed To in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package info.piwai.toohardforyou.core;

public abstract class Resources {

    private static final String IMAGES_PATH = "images/";

    public static final String GAME_PATH = IMAGES_PATH + "game/";
    
    public static final String BRICKS_PATH = GAME_PATH + "bricks/";
    
    public static final String BONUS_PATH = GAME_PATH + "bonus/";
    
    public static final String MENU_PATH = IMAGES_PATH + "menu/";
    
    public static final String BACKGROUND_IMG = GAME_PATH + "background.jpg";
    
    public static final String PADDLE_LEFT_IMG = GAME_PATH + "paddleLeft.png";
    
    public static final String PADDLE_RIGHT_IMG = GAME_PATH + "paddleRight.png";
    
    public static final String PADDLE_CENTER_IMG = GAME_PATH + "paddleCenter.png";
    
    public static final String BLACK_IMG = MENU_PATH + "black.png";
    
    public static final String SPLASHSCREEN_IMG = MENU_PATH + "splashscreen.jpg";
    
    private Resources() {
        throw new UnsupportedOperationException();
    }

}
